package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.ClearingBillDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClearingBillDetailMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(ClearingBillDetail record);

    int insertOrUpdate(ClearingBillDetail record);

    int insertOrUpdateSelective(ClearingBillDetail record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(ClearingBillDetail record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    ClearingBillDetail selectByPrimaryKey(Integer id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(ClearingBillDetail record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(ClearingBillDetail record);

    int updateBatch(List<ClearingBillDetail> list);

    int batchInsert(@Param("list") List<ClearingBillDetail> list);

    ClearingBillDetail selectClearingBillCode(String orderCode);
}